#include<iostream>
#include<cstdio>
using namespace std;
int i,j,x,y,c2;
int main(){
    scanf("%d %d", &x, &y);
    int l[x]; int cd[y]; int cn[y];
    for(i=0;i<x;i++){
        cin>>l[i];
    }
    for(i=0;i<y;i++){
        cd[i]=0; cn[i]=0;
    }
    for(i=0;i<x;i++){
        cout<<"x je "<<i<<endl;
        for(j=0;j<y;j++){
            cout<<"y je "<<j<<endl;
            if(j<l[i]){
                cd[j]++; cout<<"cd je "<<cd[j]<<"za"<<i<<j<<endl;
            } else{
                cn[j]++; cout<<"cn je "<<cn[j]<<"za"<<i<<j<<endl;
            }
        }
    }
    for(i=0;i<y;i++){
        c2+=cd[i]*cn[i];
    }
    printf("%d",c2);
    return 0;
}